# PathedFile - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.files / PathedFile

# PathedFile

(common) `data class PathedFile : TelegramMediaFile` (source)

### Constructors

(common)

#### <init>

`PathedFile(fileId: FileId, fileUniqueId: FileUniqueId, filePath: String, fileSize: Long? = null)`

### Properties

(common)

#### fileId

`val fileId: FileId`

(common)

#### filePath

`val filePath: String`

(common)

#### fileSize

`val fileSize: Long?`

(common)

#### fileUniqueId

`val fileUniqueId: FileUniqueId`

### Extension Functions

(common)

#### fullUrl

`fun PathedFile.fullUrl(keeper: TelegramAPIUrlsKeeper): String`